; Created by Christopher Tremblay   										"ti_chris@yahoo.com"
; Bidirectional port transfer
; testing routines
#define CurState 0											; We're master

#define Nothing

; Procedure to check which calc is the master.  The fastest one will be designed as the Master
; This is the handshake which shouldn't be called more then once per game
; [In]   : NULL
; [Out]  : d = 0 (Master), d = 1 (Slave)
; [Uses] : af
CheckID:
	ld   d, CurState
	ret														; 0/1


; Procedure to send & receive from anyone's point of view
; [In]   : c = Data, b = Length
; [Out]  : d = Data, bc = 0
; [Uses] : af
Transfer:
#ifndef Nothing
	ld    hl, SData
	ld    d, (hl)
	ld    a, 0FFh
	cp    d
	jr    z, NotSkip

	inc   hl
	ld    (Transfer + 1), hl
	jr    SkipIt

#endif
NotSkip:
	ld    d, 0

SkipIt:
	ld    bc, 0
	ret


; LemmingZ uses (6bit/4bit) = (LemPos(1..32)/Keys)
SData:	.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
		.db 0FFh

SEnd:
